Emotional Compatibility
Delve into emotional bonds with Synastry API, exploring the planetary influences on emotional understanding and empathy.
Step by Step Emotional Compatibility API Postman Testing Integration
View Full Guide on Support Portal
Use Translator for Other Languages
Support Article URL: https://support.divineapi.com/general-api-support/translating-a-natal-apis-into-a-different-language
| Code | Language |
|---|---|
| en | English |
| hi | Hindi |
| pt | Portuguese |
| fr | French |
| de | German |
| ja | Japanese |
| tr | Turkish |
| ru | Russian |
| it | Italian |
| es | Spanish |
| nl | Dutch |
| pl | Polish |
Guide: These languages are supported by this API. You can use them by passing "lan" in the body with the value of the language.
House System Codes
House System Codes Support Article URL: https://support.divineapi.com/western-astrology-apis/how-to-change-the-house-system-code-in-natal-astrology
| Code | House System Name |
|---|---|
| P | Placidus |
| K | Koch |
| R | Regiomontanus |
| C | Campanus |
| A | Equal |
| W | Equal, Whole Sign |
| N | Whole Sign, Aries = 1st House |
| X | Axial Rotation System / Meridian Houses |
| T | Polich/Page (“Topocentric”) |
| M | Morinus |
| O | Porphyry |
| B | Alcabitius |
| D | Equal / MC |
| E | Equal = A |
| F | Carter Poli-Equatorial |
| G | 36 Gauquelin Sectors |
| H | Horizon / Azimuth |
| I | Sunshine |
| i | Sunshine (Alternative) |
| L | Pullen S-Delta |
| Q | Pullen S-Ratio |
| S | Sripati |
| U | Krusinski-Pisa-Goelzer |
| V | Equal Vehlow |
| Y | APC Houses |
Note: The default house system used is P — Placidus.
API Endpoint
POST https://astroapi-4.divineapi.com/western-api/v2/synastry/emotional-compatibility
Returns: Emotional Compatibility in response.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Your API Access Token. Example: Bearer {token} |
Request Body
| Name | Type | Description |
|---|---|---|
| api_key* | String | Your API key |
| p1_full_name* | String | P1's Full Name, ex: Rahul Kumar |
| p1_day* | Integer | P1's date of birth, eg: 24 |
| p1_month* | Integer | P1's month of birth, eg: 05 |
| p1_year* | Integer | P1's year of birth, eg: 1998 |
| p1_hour* | Integer | P1's hour, eg: 14 |
| p1_min* | Integer | P1's minute, eg: 40 |
| p1_sec* | Integer | P1's second, eg: 43 |
| p1_gender* | String | P1's gender, ex: male |
| p1_place* | String | P1's birth place, ex: New Delhi |
| p1_lat* | Float | P1's latitude, eg: 28.7041 |
| p1_lon* | Float | P1's longitude, eg: 77.1025 |
| p1_tzone* | Float | P1's timezone, eg: 5.5 Timezone List |
| p2_full_name* | String | P2's Full Name, ex: Simran Kumari |
| p2_day* | Integer | P2's date of birth, eg: 24 |
| p2_month* | Integer | P2's month of birth, eg: 05 |
| p2_year* | Integer | P2's year of birth, eg: 1998 |
| p2_hour* | Integer | P2's hour, eg: 14 |
| p2_min* | Integer | P2's minute, eg: 40 |
| p2_sec* | Integer | P2's second, eg: 43 |
| p2_gender* | String | P2's gender, ex: female |
| p2_place* | String | P2's birth place, ex: New Delhi |
| p2_lat* | Float | P2's latitude, eg: 28.7041 |
| p2_lon* | Float | P2's longitude, eg: 77.1025 |
| p2_tzone* | Float | P2's timezone, eg: 5.5 Timezone List |
| lan | String | Language en/hi, default en |
| house_system | String | House system code, default — P (Placidus) |
| node_type | String | meannode or truenode (default: meannode) |
200: OK Emotional Compatibility Fetched Successfully
{
"success": 1,
"data": [
{
"p1": {
"planet": "Mercury",
"full_degree": "43.0997128",
"sign": "Taurus",
"sign_no": 2,
"longitude": "13:5:59"
},
"p2": {
"planet": "Moon",
"full_degree": "44.8177723",
"sign": "Taurus",
"sign_no": 2,
"longitude": "14:49:4"
},
"orb": 1.72,
"aspect": "Conjunction",
"aspect_type": "Intense",
"reading": [
{
"title": "Emotional Understanding",
"description": "Here, Rahul Kumar is likely to feel understood by Simran Kumari making for positive emotional compatibility. Simran Kumari's cognitive traits enabled by Mercury can help them to comprehend Rahul Kumar's emotions well, which is usually displayed by Moon."
},
{
"title": "Communication Strength",
"description": "Mercury is known to govern communication and intellect. Its influence on Rahul Kumar's moon suggests Simran Kumari's ability to communicate well with Rahul Kumar. This strong communication will enhance the quality of their emotional relationship."
},
{
"title": "Emotional Fluctuations",
"description": "However, Rahul Kumar's emotional state, influenced by the Moon, can be susceptible to changes, causing some inconsistencies. Simran Kumari will need to exert their Mercury's adaptability trait to cope with these emotional shifts for a balanced relationship."
}
]
}
]
}Example Code Implementations
Below are example implementations in various programming environments.
cURL
curl --location 'https://astroapi-4.divineapi.com/western-api/v2/synastry/emotional-compatibility' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'p1_full_name="Rahul Kumar"' \
--form 'p1_day="24"' \
--form 'p1_month="05"' \
--form 'p1_year="1998"' \
--form 'p1_hour="14"' \
--form 'p1_min="40"' \
--form 'p1_sec="43"' \
--form 'p1_gender="male"' \
--form 'p1_place="New Delhi"' \
--form 'p1_lat="28.7041"' \
--form 'p1_lon="77.1025"' \
--form 'p1_tzone="5.5"' \
--form 'p2_full_name="Simran Kumari"' \
--form 'p2_day="24"' \
--form 'p2_month="05"' \
--form 'p2_year="1998"' \
--form 'p2_hour="14"' \
--form 'p2_min="40"' \
--form 'p2_sec="43"' \
--form 'p2_gender="female"' \
--form 'p2_place="New Delhi"' \
--form 'p2_lat="28.7041"' \
--form 'p2_lon="77.1025"' \
--form 'p2_tzone="5.5"' \
--form 'lan="en"'NodeJS
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://astroapi-4.divineapi.com/western-api/v2/synastry/emotional-compatibility',
'headers': {
'Authorization': 'Bearer {Your Auth Token}'
},
formData: {
'api_key': '{Your API Key}',
'p1_full_name': 'Rahul Kumar',
'p1_day': '24',
'p1_month': '05',
'p1_year': '1998',
'p1_hour': '14',
'p1_min': '40',
'p1_sec': '43',
'p1_gender': 'male',
'p1_place': 'New Delhi',
'p1_lat': '28.7041',
'p1_lon': '77.1025',
'p1_tzone': '5.5',
'p2_full_name': 'Simran Kumari',
'p2_day': '24',
'p2_month': '05',
'p2_year': '1998',
'p2_hour': '14',
'p2_min': '40',
'p2_sec': '43',
'p2_gender': 'female',
'p2_place': 'New Delhi',
'p2_lat': '28.7041',
'p2_lon': '77.1025',
'p2_tzone': '5.5',
'lan': 'en'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
JavaScript (jQuery AJAX)
var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("p1_full_name", "Rahul Kumar");
form.append("p1_day", "24");
form.append("p1_month", "05");
form.append("p1_year", "1998");
form.append("p1_hour", "14");
form.append("p1_min", "40");
form.append("p1_sec", "43");
form.append("p1_gender", "male");
form.append("p1_place", "New Delhi");
form.append("p1_lat", "28.7041");
form.append("p1_lon", "77.1025");
form.append("p1_tzone", "5.5");
form.append("p2_full_name", "Simran Kumari");
form.append("p2_day", "24");
form.append("p2_month", "05");
form.append("p2_year", "1998");
form.append("p2_hour", "14");
form.append("p2_min", "40");
form.append("p2_sec", "43");
form.append("p2_gender", "female");
form.append("p2_place", "New Delhi");
form.append("p2_lat", "28.7041");
form.append("p2_lon", "77.1025");
form.append("p2_tzone", "5.5");
form.append("lan", "en");
var settings = {
"url": "https://astroapi-4.divineapi.com/western-api/v2/synastry/emotional-compatibility",
"method": "POST",
"timeout": 0,
"headers": {
"Authorization": "Bearer {Your Auth Token}"
},
"processData": false,
"mimeType": "multipart/form-data",
"contentType": false,
"data": form
};
$.ajax(settings).done(function (response) {
console.log(response);
});Python
import requests
url = "https://astroapi-4.divineapi.com/western-api/v2/synastry/emotional-compatibility"
payload = {'api_key': '{Your API Key}',
'p1_full_name': 'Rahul Kumar',
'p1_day': '24',
'p1_month': '05',
'p1_year': '1998',
'p1_hour': '14',
'p1_min': '40',
'p1_sec': '43',
'p1_gender': 'male',
'p1_place': 'New Delhi',
'p1_lat': '28.7041',
'p1_lon': '77.1025',
'p1_tzone': '5.5',
'p2_full_name': 'Simran Kumari',
'p2_day': '24',
'p2_month': '05',
'p2_year': '1998',
'p2_hour': '14',
'p2_min': '40',
'p2_sec': '43',
'p2_gender': 'female',
'p2_place': 'New Delhi',
'p2_lat': '28.7041',
'p2_lon': '77.1025',
'p2_tzone': '5.5',
'lan': 'en'}
headers = {
'Authorization': 'Bearer {Your Auth Token}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
Notes
Ensure latitude, longitude, and timezone are accurate for both profiles.
Default language: English (lan=en).
Default house system: P (Placidus).
Combine with other Synastry endpoints (Physical, Intense, Contrasting, Conflicting) to build a comprehensive compatibility report.